
#====================================================================#
# gyokuro/parts.rb
#====================================================================#

#====================================================================#
# Gyokuro Class
class Gyokuro

  class Parts
  end

  class Noun < Parts                   # ̾
    class General < self; end          # ̾-
    class ProperNoun < self            # ̾-ͭ̾
      class General < self; end        # ̾-ͭ̾-
      class Name < self                # ̾-ͭ̾-̾
        class General < self; end      # ̾-ͭ̾-̾-
        class FamilyName < self; end   # ̾-ͭ̾-̾-
        class FirstName < self; end    # ̾-ͭ̾-̾-̾
      end
      class Organization < self; end   # ̾-ͭ̾-ȿ
      class Area < self                # ̾-ͭ̾-ϰ
        class General < self; end      # ̾-ͭ̾-ϰ-
        class Country < self; end      # ̾-ͭ̾-ϰ-
      end
    end
    class Pronoun < self               # ̾-̾
      class General < self; end        # ̾-̾-
      class Brief < self; end          # ̾-̾-
    end
    class Number < self; end
    class Suffix < self
      class General < self; end
      class Name < self; end
      class Area < self; end
    end
  end

  class Prefix < Parts                 # Ƭ
  end

  class Verb < Parts                   # ư
    class Independence < self; end     # ư-Ω
    class UnIndependence < self; end   # ư-Ω
  end

  class Adjective < Parts              # ƻ
  end

  class Adverb < Parts                 # 
  end

  class Attributive < Parts            # Ϣλ
  end

  class Conjunction < Parts            # ³
  end

  class Particle < Parts               # 
  end

  class AuxiliaryVerb < Parts          # ư
  end

  class Exclamation < Parts            # ư
  end

  class Mark < Parts                   # 
    class General < self; end          # 
    class Period < self; end           # 
    class Comma < self; end            # 
    class Space < self; end            # 
    class Alphabet < self; end         # 
    class OpenParenthesis < self; end  # 
    class CloseParenthesis < self; end # 
  end

  class Other < Parts                  # ¾
  end

  class Filler < Parts                 # ե顼
  end

  class NonLanguage < Parts            # 첻
  end

  class Fragment < Parts               # 
  end

  class Unknown < Parts                # 
  end

end

#====================================================================#
# end of source
#====================================================================#
